#ifndef HASHCOMPARER_H
#define HASHCOMPARER_H

#include "FileData.h"
#include "dataparser.h"
#include "tools.h"

#include <QObject>
#include <QFile>
#include <updatenotifywidget.h>

class UpdateNotifyWidget;
class HashComparer :public QObject
{
    Q_OBJECT
public:
    explicit HashComparer(DataParser *dataParser,QObject *parent = nullptr);
    void initialize(MainWindow* mainWindow);
    void CompareDeltas();
    ~HashComparer();

    void showDeltas();
    void setWidget(UpdateNotifyWidget *updateWidget);
    QList<FileData> *getFilesForUpdate() const;

signals:
    void sigCallCheck();
    void sigHaveDelta();
private:
    UpdateNotifyWidget* updateWidget;
    QList<FileData> *filesForUpdate;
    DataParser *dataParser;
};

#endif // HASHCOMPARER_H
